﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data.SqlClient;
using System.Configuration;

using DHTMLX.Common;
using System.Globalization;

namespace SchedulerNetAsp
{
    /// <summary>
    /// Summary description for $codebehindclassname$
    /// </summary>
    
    
    public class Save : IHttpHandler
    {
        SqlConnection con = new SqlConnection(ConfigurationManager.ConnectionStrings["connection"].ConnectionString);
        public DateTime StartDate { get; set; }
        public DateTime EndDate { get; set; }
        public string Description { get; set; }
        public int id { get; set; }
        public int EngId { get; set; }
        public int SCId { get; set; }
        public void ProcessRequest(HttpContext context)
        {
            context.Response.ContentType = "text/xml";// the data passed in XML format
            
            var action = new DataAction(context.Request.Form);
            Description = Convert.ToString(context.Request.Form["text"]);
            StartDate = Convert.ToDateTime(context.Request.Form["start_date"]);
            EndDate = Convert.ToDateTime(context.Request.Form["end_date"]);
            EngId = Convert.ToInt32(context.Request.Form["ddlengineer"]);
            SCId = Convert.ToInt32(context.Request.Form["ddlSCenter"]);
                
            //var data = new SchedulerDataContext();

            try
            {
                //var changedEvent = (Event)DHXEventsHelper.Bind(typeof(Event), actionValues);//see details below

                switch (action.Type)
                {
                    case DataActionTypes.Insert: // your Insert logic
                        insert();
                        //data.Events.InsertOnSubmit(changedEvent);
                        //action.TargetId = changedEvent.id;
                        break;
                    case DataActionTypes.Delete: // your Delete logic
                        id = Convert.ToInt32(context.Request.Form["eventid"]);
                        Delete();
                        //changedEvent = data.Events.SingleOrDefault(ev => ev.id == action.SourceId);
                        //data.Events.DeleteOnSubmit(changedEvent);
                        break;
                    default:// "update" // your Update logic
                        id = Convert.ToInt32(context.Request.Form["eventid"]);
                        Update();
                        //var updated = data.Events.SingleOrDefault(ev => ev.id == action.SourceId);
                        //DHXEventsHelper.Update(eventToUpdate, changedEvent, new List<string>() { "id" });// see details below
                        break;
                }
                //data.SubmitChanges();
            }
            catch (Exception a)
            {
                action.Type = DataActionTypes.Error;
            }

            context.Response.Write(new AjaxSaveResponse(action));
        }
        void insert()
        {
            try
            {
                SqlCommand cmd = new SqlCommand("Insert into Events(text,start_date,end_date,EniId,SCId)values('" + Description + "','" + StartDate + "','" + EndDate + "'," + EngId + "," + SCId + ")", con);
                con.Open();
                cmd.ExecuteNonQuery();
            }
            catch (Exception ex)
            {
                return;
            }
            finally
            {
                con.Close();
                //cmd.Dispose();
            }
        }

        void Update()
        {
            try
            {
                SqlCommand cmd = new SqlCommand("update Events set text='" + Description + "',start_date='" + StartDate + "',end_date='" + EndDate + "',EniId=" + EngId + ",SCId=" + SCId + " where eventid=" + id + " ", con);
                con.Open();
                cmd.ExecuteNonQuery();
            }
            catch (Exception ex)
            {
                return;
            }
            finally
            {
                con.Close();
                //cmd.Dispose();
            }
        }

        void Delete()
        {
            try
            {
                SqlCommand cmd = new SqlCommand("delete from Events where eventid=" + id + " ", con);
                con.Open();
                cmd.ExecuteNonQuery();
            }
            catch (Exception ex)
            {
                return;
            }
            finally
            {
                con.Close();
                //cmd.Dispose();
            }
        }

        public bool IsReusable { get { return false; } }
    }
}
