﻿<%@ WebHandler Language="C#" Class="Data" %>

using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using DHTMLX.Scheduler.Data;

public class Data : IHttpHandler {
    SqlConnection con = new SqlConnection(ConfigurationManager.ConnectionStrings["connection"].ConnectionString);
    public void ProcessRequest(HttpContext context)
    {
        context.Response.ContentType = "text/json";// the data comes in JSON format
        SqlCommand cmd = new SqlCommand("select * from Events", con);
        SqlDataAdapter adap = new SqlDataAdapter(cmd);
        DataTable objdt = new DataTable();
        adap.Fill(objdt);

        var results = new List<object>();

        foreach (DataRow row in objdt.Rows)
        {

            var item = new Dictionary<string, string>();

            foreach (DataColumn column in objdt.Columns)
            {

                item.Add(column.ColumnName, row[column].ToString());

            }

            results.Add(item);

        }



        //IEnumerable<DataRow> obj = objdt.AsEnumerable();

        context.Response.Write(new SchedulerAjaxData(results));//events for loading to scheduler
    }
 
    public bool IsReusable {
        get {
            return false;
        }
    }

}