﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;

using DHTMLX.Scheduler;

public partial class _Default : System.Web.UI.Page 
{
    SqlConnection con = new SqlConnection(ConfigurationManager.ConnectionStrings["connection"].ConnectionString);
    public DHXScheduler Scheduler { get; set; }
    protected void Page_Load(object sender, EventArgs e)
    {
        this.Scheduler = new DHXScheduler();

        Scheduler.InitialDate = System.DateTime.Now;// the initial data of Scheduler

        Scheduler.Config.first_hour = 8;//the minimum value for the hour scale
        Scheduler.Config.last_hour = 19;//the maximum value of the hour scale
        Scheduler.Config.time_step = 30;//the scale interval for the time selector in the lightbox
        Scheduler.Config.limit_time_select = true;// sets the max and min values for the time selector in the lightbox to the values of the last_hour and first_hour options

        Scheduler.DataAction = "Data.ashx";// the handler which defines loading data to Scheduler
        Scheduler.SaveAction = "Save.ashx";// the handler which defines create/update/delete logic
        Scheduler.LoadData = true;
        Scheduler.Data.Loader.PreventCache();
        Scheduler.EnableDataprocessor = true;
        //Scheduler.Lightbox.AddDefaults();
        var NewText = new DHTMLX.Scheduler.Controls.LightboxText("txtnew", "Text1");
        NewText.MapTo = "text";
        Scheduler.Lightbox.Add(NewText);
        var Box = Scheduler.Lightbox.SetExternalLightboxForm("MyForm.aspx", 640, 180);
    }
}
